import request from '@/utils/request'
export function saveAutomaticWarehouseSetting(data) {
	return request({
		'url': '/ColorYnAutomatic/SaveAutomaticWarehouseSetting',
		'method': 'post',
		'params': data
	})
}
export function stockUnitList(data) {
	return request({
		'url': '/ColorYnAutomatic/GetStockUnits',
		'method': 'get',
		'data': data
	})
}
export function warehouseList(data) {
	return request({
		'url': '/ColorYnAutomatic/GetWarehouses',
		'method': 'get',
		'data': data
	})
}
export function receiveWarehouseList(data) {
	return request({
		'url': '/AutomaticWarehouse/GetReceiveWarehouse',
		'method': 'get',
		'data': data
	})
}
//获取入口列表接口
export function InWarehousePort(data) {
	return request({
		'url': '/ColorYnAutomatic/GetInWarehousePort',
		'method': 'get',
		'data': data
	})
}
//获取出口列表
export function outWarehousePort(data) {
	return request({
		'url': '/ColorYnAutomatic/GetOutWarehousePort',
		'method': 'get',
		'data': data
	})
}
//获取入库口列表
export function getInWarehousePortList(data) {
	return request({
		'url': '/ColorYnAutomatic/GetInWarehousePortList',
		'method': 'get',
		'data': data
	})
}
//获取对应板号明细信息
export function getPackageInfo(data) {
	return request({
		'url': '/ColorYnAutomatic/GetPackageInfo',
		'method': 'get',
		'data': data
	})
}
//准备入库接口
export function readyForStorage(data) {
	return request({
		'url': '/ColorYnAutomatic/ReadyForStorage',
		'method': 'post',
		'data': data
	})
}
//扫码入库接口
export function scannerToStorage(data) {
	return request({
		'url': '/ColorYnAutomatic/ScannerToStorage',
		'method': 'post',
		'data': data
	})
}
//排队提示接口
export function queuingTips(data) {
	return request({
		'url': '/ColorYnAutomatic/QueuingTips',
		'method': 'get',
		'data': data
	})
}
//接收出库，获取所在单据出库信息
export function getOutWarehouseInfo(data) {
	return request({
		'url': '/ColorYnAutomatic/GetOutWarehouseInfo',
		'method': 'get',
		'data': data
	})
}
//更改指令状态接口
export function updateCommandState(data) {
	return request({
		'url': '/ColorYnAutomatic/UpdateCommandState',
		'method': 'post',
		'params': data
	})
}
//接收出库，复核接口
export function reviewCommand(data) {
	return request({
		'url': '/ColorYnAutomatic/ReviewCommand',
		'method': 'post',
		'data': data
	})
}
//扫描返库获取入库口列表接口
export function getWarehouseInPort(data) {
	return request({
		'url': '/ColorYnAutomatic/GetWarehouseInPort',
		'method': 'get',
		'data': data
	})
}
//扫描返库获取对应板号明细信息
export function getIntoWarehouseCommand(data) {
	return request({
		'url': '/ColorYnAutomatic/GetIntoWarehouseCommand',
		'method': 'get',
		'data': data
	})
}
//扫描返库准备入库
export function readyForWarehouse(data) {
	return request({
		'url': '/ColorYnAutomatic/ReadyForWarehouse',
		'method': 'post',
		'data': data
	})
}
//扫描返库扫码返库
export function scannerReturnToWarehouse(data) {
	return request({
		'url': '/ColorYnAutomatic/ScannerReturnToWarehouse',
		'method': 'post',
		'data': data
	})
}
//扫描返库排队提示
export function promptQueue(data) {
	return request({
		'url': '/ColorYnAutomatic/PromptQueue',
		'method': 'get',
		'params': data
	})
}
// //合板出库，获取合板调拨单列表
// export function getTransferOrderNo(data) {
// 	return request({
// 		'url': '/AutomaticWarehouse/GetTransferOrderNo',
// 		'method': 'get',
// 		'params': data
// 	})
// }
// //合板出库，获取出货口列表
// export function getOutWarehousePortList(data) {
// 	return request({
// 		'url': '/AutomaticWarehouse/GetOutWarehousePortList',
// 		'method': 'get',
// 		'params': data
// 	})
// }
// //合板出库，获取单据明细列表
// export function getBillDetails(data) {
// 	return request({
// 		'url': '/AutomaticWarehouse/GetBillDetails',
// 		'method': 'get',
// 		'params': data
// 	})
// }
// //合板出库，出库排队
// export function checkOutWarehouseCommand(data) {
// 	return request({
// 		'url': '/AutomaticWarehouse/CheckOutWarehouseCommand',
// 		'method': 'post',
// 		'params': data
// 	})
// }
// //合板出库，准备出库
// export function updateOutWarehouseStatus(data) {
// 	return request({
// 		'url': '/AutomaticWarehouse/UpdateOutWarehouseStatus',
// 		'method': 'post',
// 		'params': data
// 	})
// }
// //合板退库，获取条码明细
// export function getPockNoDetail(data) {
// 	return request({
// 		'url': '/AutomaticWarehouse/GetPockNoDetail',
// 		'method': 'get',
// 		'params': data
// 	})
// }
// //合板退库，生成入库指令
// export function generateInWarehouseCommands(data) {
// 	return request({
// 		'url': '/AutomaticWarehouse/GenerateInWarehouseCommands',
// 		'method': 'post',
// 		'data': data
// 	})
// }