import request from '@/utils/request'
//获取生产组织列表接口
export function workshopList(data) {
	return request({
		'url': '/ColorYnWorkshopManage/GetWorkshopList',
		'method': 'get',
		'data': data
	})
}
//获取工作中心列表接口
export function workcenterList(data) {
	return request({
		'url': '/ColorYnWorkshopManage/GetWorkCenter',
		'method': 'get',
		'data': data
	})
}
//获取存放地点列表接口
export function warehouseList() {
	return request({
		'url': '/ColorYnWorkshopManage/GetWarehouse',
		'method': 'get',
	})
}
//获取账期接口
export function getPeriodInfo(data) {
	return request({
		'url': '/ColorYnWorkshopManage/GetPeriodInfo',
		'method': 'get',
		'params': data
	})
}
//保存系统参数
export function saveSystemSetting(data) {
	return request({
		'url': '/ColorYnWorkshopManage/SaveSystemSetting',
		'method': 'post',
		'data': data
	})
}
export function getBomItems(data) {
	return request({
		'url': '/ColorYnWorkshopManage/GetBomItems',
		'method': 'get',
		'data': data
	})
}
export function addToStorage(data) {
	return request({
		'url': '/ColorYnWorkshopManage/AddToStorage',
		'method': 'post',
		'data': data
	})
}
export function modifyDestination(data) {
	return request({
		'url': '/WorkshopManage/ModifyDestination',
		'method': 'post',
		'data': data
	})
}
export function cancelInWarehouse(data) {
	return request({
		'url': '/ColorYnWorkshopManage/CancelInWarehouse',
		'method': 'post',
		'data': data
	})
}